import { Component, Input, OnInit } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { HttpClient } from '@angular/common/http';
import { SinglePost } from '../models/post'

@Component({
  selector: 'app-boards',
  templateUrl: `./boards.component.html`,
  styleUrls: [`./boards.component.css`]
})
export class BoardsComponent implements OnInit {
  command: string = "";
  response: any;
  postsToShow: SinglePost[] = []
  boardName:string = 'postgres';

  constructor(public apiChatService: ApiChatService) {

  }

  refreshPosts(boardName: string) {
    this.apiChatService.getPosts(boardName).subscribe(response => {
      this.postsToShow = response
    })
  }

  ngOnInit(): void {
    this.apiChatService.getPosts('postgres').subscribe(response => {
    this.postsToShow = response
    })
  }


}

